Refresh an onramp quote
curl --request POST \
--url https://production.hifibridge.com/v2/onramps/{transferId}/quote/refresh \
--header 'Authorization: Bearer <token>'import requests
url = "https://production.hifibridge.com/v2/onramps/{transferId}/quote/refresh"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://production.hifibridge.com/v2/onramps/{transferId}/quote/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transferType": "ONRAMP",
"transferDetails": {
"id": "b26927e6-2771-423c-af44-a3c7a3e815c5",
"requestId": "e1047def-6942-4fd7-be04-e62eb41813b6",
"createdAt": "2025-02-03T17:15:31.927121+00:00",
"updatedAt": "2025-02-03T17:15:35.882+00:00",
"status": "OPEN_QUOTE",
"failedReason": null,
"source": {
"userId": "c15c0adf-3e45-4a62-b334-73aeec127649",
"currency": "usd",
"amount": 10,
"accountId": null,
"user": {
"email": "example@hifibridge.com",
"lastName": "Wu",
"firstName": "Henry",
"businessName": null
},
"bankInfo": null
},
"destination": {
"userId": "c15c0adf-3e45-4a62-b334-73aeec127649",
"currency": "usdc",
"chain": "POLYGON",
"walletAddress": "0x848732f6c834E05b17C56fa01E83EE095f72C3c3",
"externalWalletId": null,
"amount": null,
"user": {
"email": "example@hifibridge.com",
"lastName": "Wu",
"firstName": "Henry",
"businessName": null
}
},
"receipt": {
"transactionHash": null
},
"developerFee": null,
"virtualAccountId": null,
"quoteInformation": {
"sendGross": {
"amount": "10.00",
"currency": "usd"
},
"sendNet": {
"amount": "10.00",
"currency": "usd"
},
"railFee": {
"amount": "0.00",
"currency": "usdc"
},
"receiveGross": {
"amount": "10.00",
"currency": "usdc"
},
"receiveNet": {
"amount": "10.00",
"currency": "usdc"
},
"rate": "1.00",
"expiresAt": "N/A"
},
"depositInfo": null
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}Onramps
Refresh an onramp quote
Refresh the conversion rate quote that is associated with a quote-based onramp. You can only refresh an onramp quote with the status OPEN_QUOTE.
POST
/
v2
/
onramps
/
{transferId}
/
quote
/
refresh
Refresh an onramp quote
⌘I